//
//	Copyright © 2006 Nemetschek North America 
//	All Rights Reserved.
//
// Created by Vladislav Stanev

#pragma once

#include "Control.h"

namespace VectorWorks
{
	namespace VWUI
	{
		class VWTabPaneCtrl;
		class VWTabCtrl : public VWControl
		{
		public:
							VWTabCtrl(TControlID id);
			virtual			~VWTabCtrl();

			virtual bool	CreateControl(VWDialog* pDlg);
			void			AddPane(VWTabPaneCtrl* pPane);

			TControlID		GetActivePaneControlID() const;
			void			SetActivePaneControlID(TControlID paneControlID);
		};
	}
}